com.microfocus.zos.model

## Enum EMemberAttributes

- java.lang.Object
- - java.lang.Enum<EMemberAttributes>
  - - com.microfocus.zos.model.EMemberAttributes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EMemberAttributes>

      public enum EMemberAttributes
      extends java.lang.Enum<EMemberAttributes>

  Enumeration for MVS member attributes.
  Author:
    PrudenceB

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ChangeDate` Date when the member was changed.
    `ChangeUserID` Change user ID.
    `CreationDate` Date when the member was created.
    `InitialLineCount` Initial line count.
    `ModificationNumber` Modification number.
    `Name` Member name.
    `Size` Size of the member.
    `Suffix` Suffix of the member (derived from file mapping).
    `VersionNumber` Version number.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EMemberAttributes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EMemberAttributes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Size

          public static final EMemberAttributes Size

      Size of the member.

    - #### CreationDate

          public static final EMemberAttributes CreationDate

      Date when the member was created.

    - #### ChangeDate

          public static final EMemberAttributes ChangeDate

      Date when the member was changed.

    - #### ChangeUserID

          public static final EMemberAttributes ChangeUserID

      Change user ID.

    - #### VersionNumber

          public static final EMemberAttributes VersionNumber

      Version number.

    - #### InitialLineCount

          public static final EMemberAttributes InitialLineCount

      Initial line count.

    - #### ModificationNumber

          public static final EMemberAttributes ModificationNumber

      Modification number.

    - #### Suffix

          public static final EMemberAttributes Suffix

      Suffix of the member (derived from file mapping).

    - #### Name

          public static final EMemberAttributes Name

      Member name.

  - ### Method Detail

    - #### values

          public static EMemberAttributes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EMemberAttributes c : EMemberAttributes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EMemberAttributes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.